terraform {
  required_providers {
    hcloud = {
      source = "hetznercloud/hcloud"
      version = "1.32.2"
    }
  }

  backend "s3" {
    bucket = "serverctl-terraform"
    key = "terraform.tfstate"

    endpoint = "https://api.minio.front.kjuulh.io"

    region = "main"

    skip_credentials_validation = true
    skip_metadata_api_check = true
    skip_region_validation = true
    force_path_style = true
  }
}

variable "hcloud_token" {
  sensitive = true
}

provider "hcloud" {
  token = var.hcloud_token
}


variable "hcloud_serverctl_ssh_key_id" {}
variable "pvt_key" {}
variable "pub_key" {}

