package routers

import (
	"github.com/gin-gonic/gin"
	"serverctl/pkg/infrastructure/dependencies"
)

type RoutingTable struct {
	router       *gin.Engine
	dependencies *dependencies.Dependencies
}

func NewRoutingTable(router *gin.Engine, dependencies *dependencies.Dependencies) *RoutingTable {
	return &RoutingTable{router: router, dependencies: dependencies}
}

func (t *RoutingTable) Setup() *RoutingTable {
	metricsRouter(t.router)
	authRouter(t.router, t.dependencies)
	projectsRouter(t.router, t.dependencies)
	applicationsRouter(t.router, t.dependencies)
	containersRouter(t.router, t.dependencies)

	return t
}
